View Issue Details

IDProjectCategoryView StatusLast Update
0001554NoesisGUIC# SDKpublic2020-03-10 14:26
Reporterdarthmaule2Assigned Tojsantos 
PrioritynormalSeveritymajorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version2.2.4 
Target VersionFixed in Version3.0.0 
Summary0001554: Need a mechanism to know when it's safe to dispose of the FileStream object used to provide textures
DescriptionThis post describes the problem:
https://www.noesisengine.com/forums/viewtopic.php?f=3&t=1808

Steps To Reproduce1.) Provide a resource via FileStream
2.) Later attempt to delete the underlying file on disk (File.Delete)
>> This sometimes results in an IOException
TagsNo tags attached.
PlatformAny

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-09-22 12:05 darthmaule2 New Issue
2019-09-24 09:44 sfernandez Assigned To => jsantos
2019-09-24 09:44 sfernandez Status new => assigned
2019-09-24 09:44 sfernandez Target Version => 2.3.0
2020-03-10 14:26 jsantos Status assigned => resolved
2020-03-10 14:26 jsantos Resolution open => fixed
2020-03-10 14:26 jsantos Fixed in Version => 3.0.0